using Otter;

namespace LOoSE_sLOTS.UI
{
    class TransistionDown : Entity
    {
        private Spritemap<string> _spriteMap;

        public TransistionDown(float x, float y)
        {
            X = x; Y = y;
            _spriteMap = new Spritemap<string>(Assets.TRANSISTIONDOWN, 720, 480);
            _spriteMap.Add("main", new int[] { 0, 1, 2, 3 }, new float[] { 15f, 15f });
            _spriteMap.Play("main");
            SetHitbox(700, 460);
            Graphic = _spriteMap;
            Layer = -10;
        }

        public override void Update()
        {
            base.Update();
            if (_spriteMap.CurrentAnim == "main" && _spriteMap.CurrentFrameIndex == 3)
            {
                RemoveSelf();
            }
        }

        public override void Render()
        {
            base.Render();
            //Collider.Render();
        }
    }
}
